Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph
Class AccessorBase<T>

    java.lang.Object
      de.grogra.graph.AccessorBase<T>

All Implemented Interfaces:
  AttributeAccessor, BooleanAttributeAccessor, ByteAttributeAccessor, CharAttributeAccessor, DoubleAttributeAccessor, FloatAttributeAccessor, IntAttributeAccessor, LongAttributeAccessor, ObjectAttributeAccessor<T>, ShortAttributeAccessor

Direct Known Subclasses:
  GraphFilter.AccessorBridge, Node.AccessorBridge

    public abstract class AccessorBase<T>

extends java.lang.Object
implements AttributeAccessor, ObjectAttributeAccessor<T>, BooleanAttributeAccessor, ByteAttributeAccessor, ShortAttributeAccessor, CharAttributeAccessor, IntAttributeAccessor, LongAttributeAccessor, FloatAttributeAccessor, DoubleAttributeAccessor

Field Summary
`protected Attribute` | `attribute`

Constructor Summary
`AccessorBase(Attribute attribute)`

Method Summary
`protected T` | `clone(T orig)`
`Attribute` | `getAttribute()`
`Field` | `getField()`
`Type` | `getType()`
`java.lang.Object` | `setSubfield(java.lang.Object object, FieldChain field, int[] indices, java.lang.Object value, GraphState gs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.graph.ObjectAttributeAccessor
`getObject, getObject, setObject`

Methods inherited from interface de.grogra.graph.BooleanAttributeAccessor
`getBoolean, setBoolean`

Methods inherited from interface de.grogra.graph.ByteAttributeAccessor
`getByte, setByte`

Methods inherited from interface de.grogra.graph.ShortAttributeAccessor
`getShort, setShort`

Methods inherited from interface de.grogra.graph.CharAttributeAccessor
`getChar, setChar`

Methods inherited from interface de.grogra.graph.IntAttributeAccessor
`getInt, setInt`

Methods inherited from interface de.grogra.graph.LongAttributeAccessor
`getLong, setLong`

Methods inherited from interface de.grogra.graph.FloatAttributeAccessor
`getFloat, setFloat`

Methods inherited from interface de.grogra.graph.DoubleAttributeAccessor
`getDouble, setDouble`

Methods inherited from interface de.grogra.graph.AttributeAccessor
`isWritable`

Field Detail

### attribute

    protected final Attribute attribute

Constructor Detail

### AccessorBase

    public AccessorBase(Attribute attribute)

Method Detail

### clone

    protected T clone(T orig)

### getAttribute

    public Attribute getAttribute()

  Specified by:
    `getAttribute` in interface `AttributeAccessor`

### getField

    public Field getField()

  Specified by:
    `getField` in interface `AttributeAccessor`

### getType

    public Type getType()

  Specified by:
    `getType` in interface `AttributeAccessor`

### setSubfield

    public java.lang.Object setSubfield(java.lang.Object object,
                                        FieldChain field,
                                        int[] indices,
                                        java.lang.Object value,
                                        GraphState gs)

  Specified by:
    `setSubfield` in interface `ObjectAttributeAccessor<T>`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD